E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

GSmtp::NewFile Member List

This is the complete list of members for GSmtp::NewFile, including all inherited members.

addText(const char *, size_t) override | GSmtp::NewFile | virtual
addTextLine(const std::string &) | GSmtp::NewMessage |
addTo(const std::string &to, bool local) override | GSmtp::NewFile | virtual
commit(bool strict) override | GSmtp::NewFile | virtual
contentPath() const | GSmtp::NewFile |
id() const override | GSmtp::NewFile | virtual
NewFile(FileStore &store, const std::string &from, const std::string &from_auth_in, const std::string &from_auth_out=std::string(), size_t max_size=0UL) | GSmtp::NewFile |
prepare(const std::string &auth_id, const std::string &peer_socket_address, const std::string &peer_certificate) override | GSmtp::NewFile | virtual
~NewFile() | GSmtp::NewFile | virtual
~NewMessage() | GSmtp::NewMessage | virtual